path: /build/build/nghttp2-net-libs-1.61.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/nghttp2 && luet-portage --dir
    /pkgdir/nghttp2 net-libs/nghttp2
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e40c5c9eca703ac637684fbe1e3f71f0e6aacf0308e0bfa93b6947191d5626a0
  package:
    name: nghttp2
    version: 1.61.0
    category: net-libs
    use_flags:
    - -hpack-tools
    - -jemalloc
    - -libressl
    - -test
    - -utils
    - cxx
    - xml
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: HTTP/2 C Library
    uri:
    - https://nghttp2.org/
    license: MIT
    buildtimestamp: 2024-04-09 05:58:58.556022919 +0000 UTC m=+33.831173096
    labels:
      DEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
        ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
        ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
        ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
        net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 ) virtual/pkgconfig test?
        ( >=dev-util/cunit-2.1 )
      IUSE: cxx debug hpack-tools jemalloc libressl static-libs test +threads utils
        xml
      RDEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
        ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
        ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
        ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
        net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 )
      emerge.packages: net-libs/nghttp2
      kit: core-kit
      original.package.name: net-libs/nghttp2
      original.package.slot: "0"
      original.package.version: 1.61.0
    treedir: /build/packages
  package_dir: /pkgdir/nghttp2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: afd408ddfc7e22dfc99b3cfa7d31e89332e59b680260fafc7186e6736431ad0a
compressiontype: zstd
files:
- usr/include/nghttp2/nghttp2.h
- usr/include/nghttp2/nghttp2ver.h
- usr/lib64/libnghttp2.so
- usr/lib64/libnghttp2.so.14
- usr/lib64/libnghttp2.so.14.28.0
- usr/lib64/pkgconfig/libnghttp2.pc
- usr/share/doc/nghttp2-1.61.0/AUTHORS.bz2
- usr/share/doc/nghttp2-1.61.0/ChangeLog.bz2
- usr/share/doc/nghttp2-1.61.0/README
- usr/share/doc/nghttp2-1.61.0/README.rst.bz2
- usr/share/man/man1/h2load.1.bz2
- usr/share/man/man1/nghttp.1.bz2
- usr/share/man/man1/nghttpd.1.bz2
- usr/share/man/man1/nghttpx.1.bz2
- usr/share/nghttp2/fetch-ocsp-response
- var/db/pkg/net-libs/nghttp2-1.61.0/BUILD_TIME
- var/db/pkg/net-libs/nghttp2-1.61.0/CATEGORY
- var/db/pkg/net-libs/nghttp2-1.61.0/CBUILD
- var/db/pkg/net-libs/nghttp2-1.61.0/CFLAGS
- var/db/pkg/net-libs/nghttp2-1.61.0/CHOST
- var/db/pkg/net-libs/nghttp2-1.61.0/CONTENTS
- var/db/pkg/net-libs/nghttp2-1.61.0/COUNTER
- var/db/pkg/net-libs/nghttp2-1.61.0/CXXFLAGS
- var/db/pkg/net-libs/nghttp2-1.61.0/DEFINED_PHASES
- var/db/pkg/net-libs/nghttp2-1.61.0/DEPEND
- var/db/pkg/net-libs/nghttp2-1.61.0/DESCRIPTION
- var/db/pkg/net-libs/nghttp2-1.61.0/EAPI
- var/db/pkg/net-libs/nghttp2-1.61.0/FEATURES
- var/db/pkg/net-libs/nghttp2-1.61.0/HOMEPAGE
- var/db/pkg/net-libs/nghttp2-1.61.0/IUSE
- var/db/pkg/net-libs/nghttp2-1.61.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/nghttp2-1.61.0/KEYWORDS
- var/db/pkg/net-libs/nghttp2-1.61.0/LDFLAGS
- var/db/pkg/net-libs/nghttp2-1.61.0/LICENSE
- var/db/pkg/net-libs/nghttp2-1.61.0/NEEDED
- var/db/pkg/net-libs/nghttp2-1.61.0/PF
- var/db/pkg/net-libs/nghttp2-1.61.0/PROVIDES
- var/db/pkg/net-libs/nghttp2-1.61.0/RDEPEND
- var/db/pkg/net-libs/nghttp2-1.61.0/REQUIRES
- var/db/pkg/net-libs/nghttp2-1.61.0/SIZE
- var/db/pkg/net-libs/nghttp2-1.61.0/SLOT
- var/db/pkg/net-libs/nghttp2-1.61.0/USE
- var/db/pkg/net-libs/nghttp2-1.61.0/environment.bz2
- var/db/pkg/net-libs/nghttp2-1.61.0/nghttp2-1.61.0.ebuild
- var/db/pkg/net-libs/nghttp2-1.61.0/repository
package_cacheimage: ""
runtime:
  name: nghttp2
  version: 1.61.0
  category: net-libs
  use_flags:
  - -hpack-tools
  - -jemalloc
  - -libressl
  - -test
  - -utils
  - cxx
  - xml
  requires:
  - name: boost
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: openssl
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: HTTP/2 C Library
  uri:
  - https://nghttp2.org/
  license: MIT
  labels:
    DEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
      ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
      ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
      ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
      net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 ) virtual/pkgconfig test?
      ( >=dev-util/cunit-2.1 )
    IUSE: cxx debug hpack-tools jemalloc libressl static-libs test +threads utils
      xml
    RDEPEND: cxx? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist] ) libressl?
      ( dev-libs/libressl:= ) dev-libs/boost:=[threads(+)] ) hpack-tools? ( >=dev-libs/jansson-2.5
      ) jemalloc? ( dev-libs/jemalloc ) utils? ( !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist]
      ) libressl? ( dev-libs/libressl:= ) >=dev-libs/libev-4.15 >=sys-libs/zlib-1.2.3
      net-dns/c-ares:= ) xml? ( >=dev-libs/libxml2-2.7.7:2 )
    emerge.packages: net-libs/nghttp2
    kit: core-kit
    original.package.name: net-libs/nghttp2
    original.package.slot: "0"
    original.package.version: 1.61.0
